## org.apache.taglibs.standard.lang.jstl
Interface VariableResolver

All Known Implementing Classes:
  JSTLVariableResolver

    public interface VariableResolver

This class is used to customize the way the evaluator resolves variable references. For example, instances of this class can implement their own variable lookup mechanisms, or introduce the notion of "implicit variables" which override any other variables. An instance of this class should be passed to the evaluator's constructor.

Whenever the evaluator is invoked, it is passed a "context" Object from the application. For example, in a JSP environment, the "context" is a PageContext. That context object is eventually passed to this class, so that this class has a context in which to resolve variables.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Method Summary
`Object` `resolveVariable(String pName, Object pContext)` Resolves the specified variable within the given context.

Method Detail

### resolveVariable

    Object resolveVariable(String pName,
                           Object pContext)
                           throws ELException

  Resolves the specified variable within the given context. Returns null if the variable is not found.

  Throws:
    `ELException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.